<template lang="pug">
li
	component.is-flex.is-align-items-center.is-justify-content-flex-start( :to='to' :is='to ? RouterLink : "a"' )
		span.icon.mr-2( v-if='icon' )
			i( :class='`fa-${pack} fa-${icon}`' )
		p
			slot
</template>

<script setup>
import { RouterLink } from "vue-router"

const props = defineProps({
	to: {
		type: [ String, Object ],
		default: ""
	},
	icon: {
		type: String,
		default: ""
	},
	pack: {
		type: String,
		default: "solid"
	}
})
</script>

<style lang="scss" scoped>
li:deep(a) {
	padding-left: 1.75rem;
	p {
		line-height: 100%;
	}
}
</style>